## gimpenums gimpenums — Enums and definitions. |

## Functions

void | gimp_enums_init ()
const gchar ** | gimp_enums_get_type_names ()

## Types and Values

enum | GimpBrushApplicationMode
enum | GimpBrushGeneratedShape
enum | GimpConvertDitherType
enum | GimpConvertPaletteType
enum | GimpConvolutionType
enum | GimpConvolveType
enum | GimpFillType
enum | GimpGradientSegmentColor
enum | GimpGradientSegmentType
enum | GimpHistogramChannel
enum | GimpHueRange
enum | GimpInkBlobType
enum | GimpLayerModeEffects
enum | GimpMaskApplyMode
enum | GimpMergeType
enum | GimpOffsetType
enum | GimpOrientationType
enum | GimpRotationType
enum | GimpSelectCriterion

## Description

Enums and definitions.

## Functions

### gimp_enums_init ()

    void
    gimp_enums_init (void);

This function makes sure all the enum types are registered with the GType system. This is intended for use by language bindings that need the symbols early, before gimp_main is run. It's not necessary for plug-ins to call this directly, because the normal plug-in initialization code will handle it implicitly.

Since GIMP 2.4

### gimp_enums_get_type_names ()

    const gchar **
    gimp_enums_get_type_names (gint *n_type_names);

This function gives access to the list of enums registered by libgimp. The returned array is static and must not be modified.

#### Parameters

n_type_names | return location for the number of names |

#### Returns

an array with type names

Since GIMP 2.2

## Types and Values

### enum GimpBrushApplicationMode

#### Members

GIMP_BRUSH_HARD |  |
GIMP_BRUSH_SOFT |  |

### enum GimpBrushGeneratedShape

The possible shapes generated brushes can take.

#### Members

GIMP_BRUSH_GENERATED_CIRCLE | The brush has a circle shape. |
GIMP_BRUSH_GENERATED_SQUARE | The brush has a square shape. |
GIMP_BRUSH_GENERATED_DIAMOND | The brush has a diamond shape. |

### enum GimpConvertDitherType

#### Members

GIMP_NO_DITHER |  |
GIMP_FS_DITHER |  |
GIMP_FSLOWBLEED_DITHER |  |
GIMP_FIXED_DITHER |  |

### enum GimpConvertPaletteType

#### Members

GIMP_MAKE_PALETTE |  |
GIMP_REUSE_PALETTE |  |
GIMP_WEB_PALETTE |  |
GIMP_MONO_PALETTE |  |
GIMP_CUSTOM_PALETTE |  |

### enum GimpConvolutionType

#### Members

GIMP_NORMAL_CONVOL |  |
GIMP_ABSOLUTE_CONVOL |  |
GIMP_NEGATIVE_CONVOL |  |

### enum GimpConvolveType

Operation modes of the convolve tool.

#### Members

GIMP_BLUR_CONVOLVE | Blur the drawable. |
GIMP_SHARPEN_CONVOLVE | Sharpen the drawable. |

### enum GimpFillType

#### Members

GIMP_FOREGROUND_FILL |  |
GIMP_BACKGROUND_FILL |  |
GIMP_WHITE_FILL |  |
GIMP_TRANSPARENT_FILL |  |
GIMP_PATTERN_FILL |  |

### enum GimpGradientSegmentColor

#### Members

GIMP_GRADIENT_SEGMENT_RGB |  |
GIMP_GRADIENT_SEGMENT_HSV_CCW |  |
GIMP_GRADIENT_SEGMENT_HSV_CW |  |

### enum GimpGradientSegmentType

#### Members

GIMP_GRADIENT_SEGMENT_LINEAR |  |
GIMP_GRADIENT_SEGMENT_CURVED |  |
GIMP_GRADIENT_SEGMENT_SINE |  |
GIMP_GRADIENT_SEGMENT_SPHERE_INCREASING |  |
GIMP_GRADIENT_SEGMENT_SPHERE_DECREASING |  |

### enum GimpHistogramChannel

#### Members

GIMP_HISTOGRAM_VALUE |  |
GIMP_HISTOGRAM_RED |  |
GIMP_HISTOGRAM_GREEN |  |
GIMP_HISTOGRAM_BLUE |  |
GIMP_HISTOGRAM_ALPHA |  |

### enum GimpHueRange

#### Members

GIMP_ALL_HUES |  |
GIMP_RED_HUES |  |
GIMP_YELLOW_HUES |  |
GIMP_GREEN_HUES |  |
GIMP_CYAN_HUES |  |
GIMP_BLUE_HUES |  |
GIMP_MAGENTA_HUES |  |

### enum GimpInkBlobType

#### Members

GIMP_INK_BLOB_TYPE_CIRCLE |  |
GIMP_INK_BLOB_TYPE_SQUARE |  |
GIMP_INK_BLOB_TYPE_DIAMOND |  |

### enum GimpLayerModeEffects

#### Members

GIMP_NORMAL_MODE |  |
GIMP_DISSOLVE_MODE |  |
GIMP_BEHIND_MODE |  |
GIMP_MULTIPLY_MODE |  |
GIMP_SCREEN_MODE |  |
GIMP_OVERLAY_MODE |  |
GIMP_DIFFERENCE_MODE |  |
GIMP_ADDITION_MODE |  |
GIMP_SUBTRACT_MODE |  |
GIMP_DARKEN_ONLY_MODE |  |
GIMP_LIGHTEN_ONLY_MODE |  |
GIMP_HUE_MODE |  |
GIMP_SATURATION_MODE |  |
GIMP_COLOR_MODE |  |
GIMP_VALUE_MODE |  |
GIMP_DIVIDE_MODE |  |
GIMP_DODGE_MODE |  |
GIMP_BURN_MODE |  |
GIMP_HARDLIGHT_MODE |  |
GIMP_SOFTLIGHT_MODE |  |
GIMP_GRAIN_EXTRACT_MODE |  |
GIMP_GRAIN_MERGE_MODE |  |
GIMP_COLOR_ERASE_MODE |  |

### enum GimpMaskApplyMode

#### Members

GIMP_MASK_APPLY |  |
GIMP_MASK_DISCARD |  |

### enum GimpMergeType

#### Members

GIMP_EXPAND_AS_NECESSARY |  |
GIMP_CLIP_TO_IMAGE |  |
GIMP_CLIP_TO_BOTTOM_LAYER |  |
GIMP_FLATTEN_IMAGE |  |

### enum GimpOffsetType

#### Members

GIMP_OFFSET_BACKGROUND |  |
GIMP_OFFSET_TRANSPARENT |  |

### enum GimpOrientationType

Orientation values for all kinds of purposes, like guides.

#### Members

GIMP_ORIENTATION_HORIZONTAL | Horizontal ortientation. |
GIMP_ORIENTATION_VERTICAL | Vertical orientation. |
GIMP_ORIENTATION_UNKNOWN | Undetermined orientation. |

### enum GimpRotationType

Steps for simple rotation based on multpiles of 90 degrees.

#### Members

GIMP_ROTATE_90 | Rotate by 90 degrees. |
GIMP_ROTATE_180 | Rotate by 180 degrees. |
GIMP_ROTATE_270 | Rotate by 270 degrees. |

### enum GimpSelectCriterion

#### Members

GIMP_SELECT_CRITERION_COMPOSITE |  |
GIMP_SELECT_CRITERION_R |  |
GIMP_SELECT_CRITERION_G |  |
GIMP_SELECT_CRITERION_B |  |
GIMP_SELECT_CRITERION_H |  |
GIMP_SELECT_CRITERION_S |  |
GIMP_SELECT_CRITERION_V |  |